{% macro menu_component(page_name) %}

<div class="uk-navbar-container uk-navbar-transparent">
  <div class="uk-container uk-container-xlarge">
    <nav class="uk-navbar">
      <div class="uk-navbar-left ">
        <a
          class="uk-navbar-toggle uk-hidden@m"
          uk-navbar-toggle-icon
          uk-toggle="target: #offcanvas-nav"
        ></a>
        <ul class="uk-navbar-nav uk-visible@m">
          <li class="{{ 'uk-active' if page_name == 'index' else ''}}">
            <a href="/">Home</a>
          </li>
          <li class="{{ 'uk-active' if page_name == 'sobre' else ''}}">
            <a href="/sobre">Sobre</a>
          </li>
          <li>
            <a
              class="{{ 'uk-active' if page_name == 'contribuir' else ''}}"
              target="_blank"
              href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Como-Contribuir"
            >
              Como Contribuir
            </a>
          </li>
      </div>

      <div class="uk-navbar-right uk-visible@m">
      <ul class="uk-navbar-nav">
          <li>
            <a
              class="{{ 'uk-active' if page_name == 'ajuda' else ''}}"
              target="_blank"
              href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Ajuda"
              >Ajuda</a
            >
          </li>
        </ul>
        <div class="uk-navbar-item">
          <a
            href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Apoiar"
            class="uk-button uk-button-rose"
            target="_blank"
            >Apoiar!</a
          >
        </div>
      </div>
    </nav>
  </div>
</div>

<div id="offcanvas-nav" uk-offcanvas="overlay: true">
  <div class="uk-offcanvas-bar">
    <ul class="uk-nav uk-nav-default">
      <li class="{{ 'uk-active' if page_name == 'index' else ''}}">
        <a href="/">Home</a>
      </li>
      <li class="{{ 'uk-active' if page_name == 'sobre' else ''}}">
        <a href="sobre">Sobre</a>
      </li>
      <li>
        <a
          class="{{ 'uk-active' if page_name == 'contribuir' else ''}}"
          target="_blank"
          href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Como-Contribuir"
        >
          Como Contribuir
        </a>
      </li>
      <li>
        <a
          class="{{ 'uk-active' if page_name == 'ajuda' else ''}}"
          target="_blank"
          href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Ajuda"
          >Ajuda</a
        >
      </li>
    </ul>
    <div class="uk-navbar-item">
      <a
        href="https://gitlab.com/marcusxyz/negros-dev-core/-/wikis/Apoiar"
        target="_blank"
        class="uk-button uk-width-1-1@m uk-button-rose"
        >Apoiar!</a
      >
    </div>
  </div>
</div>

{% endmacro %}